<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="1dp"
    tools:context=".activity.StockInActivity">
    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/tv_box_code"
        android:gravity="start"
        android:paddingTop="5dp"
        android:paddingStart="5dp"
        android:textSize="18dp"
        android:background="@color/white"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        />
    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/tv_product_name"
        android:gravity="start"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_box_code"
        android:visibility="gone"
        android:paddingStart="5dp"
        android:textSize="18dp"
        android:background="@color/white"
        />
    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/tv_product_name"
        app:layout_constraintRight_toLeftOf="@+id/tv_qty_tips"
        app:layout_constraintLeft_toLeftOf="parent"
        android:id="@+id/tv_product_code"
        android:gravity="start"
        android:paddingStart="5dp"
        android:paddingBottom="5dp"
        android:textSize="18dp"
        android:background="@color/white"
        />
    <TextView
        android:layout_width="50dp"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/tv_product_name"
        app:layout_constraintRight_toLeftOf="@+id/tv_qty"
        android:id="@+id/tv_qty_tips"
        android:hint="0"
        android:gravity="center"
        android:textSize="18dp"
        android:paddingBottom="5dp"
        android:text="数量:"
        android:background="@color/white"
        />
    <TextView
        android:layout_width="wrap_content"
        android:minWidth="50dp"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/tv_product_name"
        app:layout_constraintRight_toRightOf="parent"
        android:id="@+id/tv_qty"
        android:hint="0"
        android:gravity="center"
        android:textSize="18dp"
        android:paddingBottom="5dp"
        android:background="@color/white"
        />
    <ImageView
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:paddingTop="5dp"
        android:id="@+id/img_ok"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:visibility="gone"
        android:src="@mipmap/ok"/>
    <ImageView
        android:layout_width="50dp"
        android:layout_height="30dp"
        android:paddingStart="5dp"
        android:id="@+id/img_ng"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"

        android:src="@mipmap/ng"/>
</androidx.constraintlayout.widget.ConstraintLayout>